Subject: bug#73258: 31.0.50; w32 drag-n-dropping multiple files is broken

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2024 13:11:26 +0300

> Date: Sun, 15 Sep 2024 21:22:32 +0200
> Cc: [email-masked]
> From: Cecilio Pardo <[email-masked]>
> 
> On 15/09/2024 10:25, Eli Zaretskii wrote:
> > We cannot remove or make backward-incompatible changes in a public
> > API.  So removing/renaming w32-handle-dropped-file and/or changing its
> > signature is out of the question.  Can you rewrite the patch such that
> > it keeps this function and its arguments, and just change the
> > implementation to fix the problem?
> >
> > Also, please accompany your changes with a ChangeLog-style description
> > (see CONTRIBUTE for the details), to make the job of installing the
> > changes easier.
> 
> See the attached patch. Hope I did it right, let me know.

This causes the following warning while byte-compiling:

  In w32-dropped-file-to-url:
  term/w32-win.el:129:29: Warning: reference to free variable `window'

And indeed, 'window' is not bound to any value here, and
dnd-handle-multiple-urls does need it to be a valid window.  If I try
drag-and-drop with your patch installed, Emacs signals an error about
'window' being void.  I don't understand how it worked for you.

Also, what about this comment:

  ;; FIXME: is the W32 build capable only of receiving a single file
  ;; from each drop?

I guess it is no longer pertinent and should be deleted?